# boost::numeric::ublas::type_traits< T > Struct Template Reference

Inherits boost::numeric::ublas::scalar_traits< T >.

List of all members.

## Public Types

typedef type_traits< T > | self_type
typedef T | value_type
typedef const T & | const_reference
typedef T & | reference
typedef T | real_type
typedef real_type | precision_type

## Static Public Attributes

static const unsigned | multiplies_complexity = 1

### template<class T>
struct boost::numeric::ublas::type_traits< T >